%define name    handbrake
%define lname   HandBrake
%define version 0.9.9
%define release %mkrel 3
%define Summary DVD to MPEG-4 converter
%define ename	%{lname}CLI
%define major		1
%define libname		%mklibname %name %major
%define libnamedev	%mklibname %name %major -d

Summary:        %Summary
Summary(de):	DVD nach MPEG-4-Konverter.
Name:           %name
Version:        %version
Release:        %release
License:        GPL
Group:          Video
URL:            http://handbrake.fr/
Source0:        HandBrake-%{version}.tar.xz
BuildRoot:      %_tmppath/%name-%version-buildroot
BuildRequires:	yasm 
BuildRequires:	zlib1-devel 
BuildRequires:	docbook-dtd31-sgml >= 1.0 
BuildRequires:	docbook-to-man >= 2.0.0 
BuildRequires:	lynx >= 2.8.7
BuildRequires:  iso-codes 
BuildRequires:	valgrind 
BuildRequires:	libtheora-devel 
BuildRequires:	%{_lib}gtkhtml-3.14-devel
BuildRequires:  %{_lib}pango1.0-devel 
BuildRequires:	%{_lib}gdk_pixbuf2.0_0-devel
BuildRequires:  %{_lib}gstreamer-plugins-base0.10-devel 
BuildRequires:	%{_lib}notify-devel 
BuildRequires:	%{_lib}fribidi-devel
BuildRequires:  %{_lib}gstreamer0.10_0.10-devel 
BuildRequires:	%{_lib}webkitgtk1.0-devel 
BuildRequires:	%{_lib}gudev1.0-devel
Obsoletes:	handbrakegtk
Requires:       %{_lib}icu51
Requires:	gtk+3.0

%description
HandBrake is an open-source, GPL-licensed, multiplatform,
multithreaded DVD to MPEG-4 converter, available for MacOS
X, Linux and Windows. It is a video encoder that takes your
movies and transfers them to a format that's useful on your
computers, media centers, and portable electronic devices.

#german
%description -l de
HandBrake ist ein Open-Source, GPL-lizensierter, Multiplattform,
multithreaded DVD zu MPEG-4-Konverter, verfügbar für Mac OS X,
Linux und Windows. Es ist ein Video-Encoder, der Ihre Filme in
das MPEG-4 Format schrumpft, welche Platz sparend auf
Computer-, Medien-Zentren, und tragbaren elektronischen
Geräten.


%prep
%setup -q -n %{lname}-%{version}

%build
./configure --prefix=/usr

cd build 
%make
#cd .


%install
rm -rf %buildroot
cd build
%makeinstall_std

install -m 0755 HandBrakeCLI %buildroot/%_bindir/HandBrakeCLI

sed -i -e "s|hb-icon|hb-icon.png|" $RPM_BUILD_ROOT%{_datadir}/applications/ghb.desktop

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Video" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

rm -rf $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc AUTHORS COPYING CREDITS NEWS THANKS TRANSLATIONS
%_bindir/*
%_datadir/applications/*
%_datadir/icons/hicolor


%changelog
* Wed Nov 06 2013 billybot <billybot> 0.9.9-3pclos2013
- rebuild for new pcre

* Sun Sep 08 2013 billybot <billybot> 0.9.9-2pclos2013
- add explicit dep: gtk+3.0

* Fri Sep 06 2013 billybot <billybot> 0.9.9-1pclos2013
- update

* Sun Dec 02 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 0.9.8-1pclos2012
- 0.9.8
- little fix for german description
- fixed libnotify-devel there is no libnotify4-devel on 32bit
- added replaced make by make macro to increase build speed

* Sat Mar 03 2012 Neal <nealbrks0 at gmail dot com> 0.9.6-1pclos2012
- process

* Fri Mar 02 2012 pinoc <vogtpet at gmail.com> 0.9.6-1pclos2012
- 0.9.6
- unified spec-file for 32/64
- removed build dependency libnotify1-devel
- new build dependencies fribidi, gdk_pixbuf, docbook-dtd31, docbook-to-man, lynx (Thanks AS!)

* Wed Jan 05 2011 Ertain <sirius-c at iname.com> 0.9.5-1pclos2010
- 0.9.5

* Sat Jun 26 2010 Texstar <texstar at gmail.com> 0.9.4.r3309.svn-2pclos2010
- rebuild for new icu

* Sat May 22 2010 slick50 <lxgator at gmail.com> 0.9.4.r3309.svn-1pclos2010
- 0.9.4.r3309.svn

* Fri Jan 08 2010 Texstar <texstar at gmail.com> 0.9.4-2pclos2010
- rebuild

* Wed Nov 25 2009 Leiche <MeissSW01@aol.com> 0.9.4-1pclos2010
- 0.9.4

* Sun Sep 06 2009 Texstar <texstar@gmail.com> 0.9.3-2pclos2009
- update from svn

* Tue Apr 28 2009 Ertain <Sirius-C@iname.com> - 0.9.3-1pclos2009
- Updated to 0.9.3
- Changed the number for the contributed files to 0.9.3.
- Updated the patch.
- Changed it from "nasm" to "yasm" because nasm-2.0 isn't in the repository.
- For some odd reason libhb.so doesn't compile any more.  So I took it out of the "files" section.
- Added the sections for the GUI portion of HandBrake.
- Took some snippets from the specfile that came with Handbrake.

* Mon Feb 25 2008 Stumpy842 <stump842@gmail.com> - 0.9.2-1pclos_mypclinuxos2008
- Build for pclos
- lets make this simple instead of 3 rpms since it is a single app (texstar)

